Skip to main content
.NET Framework Class Library
UIElementBitmapEffectInput Property

Note: This API is now obsolete.

Gets or sets an input source for the bitmap effect that applies directly to the rendered content for this element. This is a dependency property.

Namespace:   System.Windows
Assembly:  PresentationCore (in PresentationCore.dll)
XMLNS for XAML: http://schemas.microsoft.com/winfx/2006/xaml/presentation, http://schemas.microsoft.com/netfx/2007/xaml/presentation
Syntax
<[%$TOPIC/ms588673_en-us_VS_110_1_0_0_0_0%]("BitmapEffects are deprecated and no longer function.  Consider using Effects where appropriate instead.")> _
Public Property BitmapEffectInput As [%$TOPIC/ms588673_en-us_VS_110_1_0_0_0_1%]
[[%$TOPIC/ms588673_en-us_VS_110_1_0_1_0_0%]("BitmapEffects are deprecated and no longer function.  Consider using Effects where appropriate instead.")]
public [%$TOPIC/ms588673_en-us_VS_110_1_0_1_0_1%] BitmapEffectInput { get; set; }
[[%$TOPIC/ms588673_en-us_VS_110_1_0_2_0_0%](L"BitmapEffects are deprecated and no longer function.  Consider using Effects where appropriate instead.")]
public:
property [%$TOPIC/ms588673_en-us_VS_110_1_0_2_0_1%]^ BitmapEffectInput {
	[%$TOPIC/ms588673_en-us_VS_110_1_0_2_0_2%]^ get ();
	void set ([%$TOPIC/ms588673_en-us_VS_110_1_0_2_0_3%]^ value);
}
[<[%$TOPIC/ms588673_en-us_VS_110_1_0_3_0_0%]("BitmapEffects are deprecated and no longer function.  Consider using Effects where appropriate instead.")>]
member BitmapEffectInput : [%$TOPIC/ms588673_en-us_VS_110_1_0_3_0_1%] with get, set
function get BitmapEffectInput () : [%$TOPIC/ms588673_en-us_VS_110_1_0_4_0_0%] 
function set BitmapEffectInput (value : [%$TOPIC/ms588673_en-us_VS_110_1_0_4_0_1%])
<object>
  <object.BitmapEffectInput>
    <[%$TOPIC/ms588673_en-us_VS_110_1_0_5_0_0%] .../>
  </object.BitmapEffectInput>
</object>

Property Value

Type: System.Windows.Media.EffectsBitmapEffectInput
The source for bitmap effects.
Dependency Property Information

Identifier field

BitmapEffectInputProperty

Metadata properties set to true

None

Version Information

.NET Framework

Supported in: 3.5, 3.0
Obsolete (compiler warning) in 4.6
Obsolete (compiler warning) in 4.6
Obsolete (compiler warning) in 4.5
Obsolete (compiler warning) in 4.5.1
Obsolete (compiler warning) in 4.5.2
Obsolete (compiler warning) in 4
Obsolete (compiler warning) in 3.5 SP1
Obsolete (compiler warning) in 3.0 SP2

.NET Framework Client Profile

Obsolete (compiler warning) in 4
Obsolete (compiler warning) in 3.5 SP1